<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.19) on Sat May 20 13:55:12 CEST 2023 -->
<title>BasicFraction</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-05-20">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.min.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BasicFraction";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":6,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">app.exercise.algebra</a></div>
<h2 title="Class BasicFraction" class="title">Class BasicFraction</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>app.exercise.algebra.BasicFraction</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a></code></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="Rational.html" title="class in app.exercise.algebra">Rational</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="typeNameLabel">BasicFraction</span>
extends java.lang.Object
implements <a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#denominator">denominator</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#numerator">numerator</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(long,long)">BasicFraction</a></span>&#8203;(long&nbsp;numerator,
             long&nbsp;denominator)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#add(app.exercise.algebra.Fractional)">add</a></span>&#8203;(<a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a>&nbsp;operand)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#div(app.exercise.algebra.Fractional)">div</a></span>&#8203;(<a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a>&nbsp;operand)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getD()">getD</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>long</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getN()">getN</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mul(app.exercise.algebra.Fractional)">mul</a></span>&#8203;(<a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a>&nbsp;operand)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#negation()">negation</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#reciprocal()">reciprocal</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected abstract void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setND(long,long)">setND</a></span>&#8203;(long&nbsp;numerator,
     long&nbsp;denominator)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#sub(app.exercise.algebra.Fractional)">sub</a></span>&#8203;(<a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a>&nbsp;operand)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="numerator">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>numerator</h4>
<pre>long numerator</pre>
</li>
</ul>
<a id="denominator">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>denominator</h4>
<pre>long denominator</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(long,long)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BasicFraction</h4>
<pre>public&nbsp;BasicFraction&#8203;(long&nbsp;numerator,
                     long&nbsp;denominator)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="setND(long,long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setND</h4>
<pre class="methodSignature">protected abstract&nbsp;void&nbsp;setND&#8203;(long&nbsp;numerator,
                              long&nbsp;denominator)</pre>
</li>
</ul>
<a id="getN()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getN</h4>
<pre class="methodSignature">public&nbsp;long&nbsp;getN()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Fractional.html#getN()">getN</a></code>&nbsp;in interface&nbsp;<code><a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a></code></dd>
</dl>
</li>
</ul>
<a id="getD()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getD</h4>
<pre class="methodSignature">public&nbsp;long&nbsp;getD()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Fractional.html#getD()">getD</a></code>&nbsp;in interface&nbsp;<code><a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a></code></dd>
</dl>
</li>
</ul>
<a id="add(app.exercise.algebra.Fractional)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;add&#8203;(<a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a>&nbsp;operand)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Fractional.html#add(app.exercise.algebra.Fractional)">add</a></code>&nbsp;in interface&nbsp;<code><a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a></code></dd>
</dl>
</li>
</ul>
<a id="sub(app.exercise.algebra.Fractional)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sub</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;sub&#8203;(<a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a>&nbsp;operand)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Fractional.html#sub(app.exercise.algebra.Fractional)">sub</a></code>&nbsp;in interface&nbsp;<code><a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a></code></dd>
</dl>
</li>
</ul>
<a id="mul(app.exercise.algebra.Fractional)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mul</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;mul&#8203;(<a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a>&nbsp;operand)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Fractional.html#mul(app.exercise.algebra.Fractional)">mul</a></code>&nbsp;in interface&nbsp;<code><a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a></code></dd>
</dl>
</li>
</ul>
<a id="div(app.exercise.algebra.Fractional)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>div</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;div&#8203;(<a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a>&nbsp;operand)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Fractional.html#div(app.exercise.algebra.Fractional)">div</a></code>&nbsp;in interface&nbsp;<code><a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a></code></dd>
</dl>
</li>
</ul>
<a id="negation()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>negation</h4>
<pre class="methodSignature">public&nbsp;<a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a>&nbsp;negation()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Fractional.html#negation()">negation</a></code>&nbsp;in interface&nbsp;<code><a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a></code></dd>
</dl>
</li>
</ul>
<a id="reciprocal()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>reciprocal</h4>
<pre class="methodSignature">public&nbsp;<a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a>&nbsp;reciprocal()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Fractional.html#reciprocal()">reciprocal</a></code>&nbsp;in interface&nbsp;<code><a href="Fractional.html" title="interface in app.exercise.algebra">Fractional</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
